pkg-kde-tools (0.18.12ubuntu3) plucky; urgency=medium

  * Restore lintian to depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Mar 2025 15:50:14 +0000

pkg-kde-tools (0.18.12ubuntu2) plucky; urgency=high

  * Drop lintian to recommends as uninstallable in plucky.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 17:38:55 +0000

pkg-kde-tools (0.18.12ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 24 Dec 2024 19:35:56 -0600

pkg-kde-tools (0.18.12) unstable; urgency=medium

  [ Sandro Knauß ]
  * Allow usage of ${DEB_HOST_MULTIARCH} in qmlfiles.

 -- Sandro Knauß <hefee@debian.org>  Tue, 24 Dec 2024 18:28:04 +0100

pkg-kde-tools (0.18.11ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Dec 2024 00:26:52 +0000

pkg-kde-tools (0.18.11) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve architecture handling in dh_qmldeps (Closes: #1090054):
    + Fix build vs host confusion.
    + Speed up architecture detection using environment.
    + Correctly match architecture patterns.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Dec 2024 09:33:29 +0100

pkg-kde-tools (0.18.10) unstable; urgency=medium

  * dh_qmldeps:
    - Use DEB_HOST_MULTIARCH in search path to fix dh_qmldeps for cross
      compilation.
    - Fix run without qmldeps.optional file.
    - Use dpkg-architecture instead of environment variable.

 -- Sandro Knauß <hefee@debian.org>  Wed, 11 Dec 2024 00:12:23 +0100

pkg-kde-tools (0.18.9) unstable; urgency=medium

  [dh_qmldeps]:
  * Fix detection of expected Qt version ( fix it for Qt5).
  * Allow replacement in qmldeps.optional like in qmldeps.overrides.

 -- Sandro Knauß <hefee@debian.org>  Tue, 10 Dec 2024 17:34:44 +0100

pkg-kde-tools (0.18.8ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Dec 2024 08:54:00 +0000

pkg-kde-tools (0.18.8) unstable; urgency=medium

  [ Salvo 'LtWorf' Tomaselli ]
  * Minimal manpage for dh_qmldeps

  [ Sandro Knauß ]
  * Add d/qmldeps.optional to mark QML modules as optional (if those
    modules exists add them as dependency, if not ignore the
    dependency.

 -- Sandro Knauß <hefee@debian.org>  Wed, 04 Dec 2024 01:12:16 +0100

pkg-kde-tools (0.18.7ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Mon, 25 Nov 2024 14:59:53 +0000

pkg-kde-tools (0.18.7) unstable; urgency=medium

  * [dh_qmldeps]: Take Suggests into acount too.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 14:54:46 +0100

pkg-kde-tools (0.18.6ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Nov 2024 13:22:49 +0000

pkg-kde-tools (0.18.6) unstable; urgency=medium

  * Team upload.

  * dh_qmldeps:
    - Act only on packages, that matches arch-all/arch-any
    builds.
    -  Substract packages from depends, that are listed in
    recommends.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 12:03:14 +0100

pkg-kde-tools (0.18.5ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 12:49:06 +0000

pkg-kde-tools (0.18.5) unstable; urgency=medium

  * Team upload.

  * dh_qmldeps:
    - Push all args to pkgkde-getqmldepends.
    - Add pkgkde-getqmldepends show option to print qml
      dependecy on stdout.
    - Handle multiple rootPaths arguments correctly.

 -- Sandro Knauß <hefee@debian.org>  Thu, 07 Nov 2024 23:26:18 +0100

pkg-kde-tools (0.18.4ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Nov 2024 11:18:35 +0000

pkg-kde-tools (0.18.4) unstable; urgency=medium

  [ Sandro Knauß ]
  * qmldepends:
    - Detect QML dependencies via depends in qmldir files.
    - detect failures from all functions.
    - Able to use apt-file to search for QML modules.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 Oct 2024 23:34:06 +0100

pkg-kde-tools (0.18.3ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Mon, 21 Oct 2024 08:14:36 +0100

pkg-kde-tools (0.18.3) unstable; urgency=medium

  * Team upload.
  * Remove comment from kf6_flags, they prevent the flags from being applied
    at build time because the lines contained in the file gets joined before
    being injected into the build commands.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Oct 2024 20:59:47 +0200

pkg-kde-tools (0.18.2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Readd -DCMAKE_BUILD_TYPE=Debian to kf6 buildsequence flags, it’s
    required to activate Debian ABI manager correctly.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 10:25:43 +0200

pkg-kde-tools (0.18.1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Detect imports in qmldir file.
  * Detect qmlimportscanner in debian/tmp correctly for qt6-declarative.

 -- Sandro Knauß <hefee@debian.org>  Tue, 15 Oct 2024 22:48:51 +0200

pkg-kde-tools (0.18.0) unstable; urgency=medium

  * Create pythonlib for dh_qmldeps.
  * pkgkde-getqmldepends: Allow QML overrides via
    debian/qmldepends.overrides.
  * pkgkde-getqmldepends: fails with 1, if an error is detected.
  * Add dh_qmldeps - a debhelper to detect runtime QML dependencies.
  * Add qmldeps dh sequence to run dh_qmldeps.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 12:13:18 +0200

pkg-kde-tools (0.17.5) unstable; urgency=medium

  [ Sandro Knauß ]
  * pkgkde-getqmldepends:
    - Search also qml modules in packages, that are created.
    -  Be able to set the package to act on.
    - Use Qt 6 by default.

 -- Sandro Knauß <hefee@debian.org>  Sun, 29 Sep 2024 02:52:11 +0200

pkg-kde-tools (0.17.4) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * Replace _g() function calls with g_() in pkgkde-symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jun 2024 09:42:47 +0300

pkg-kde-tools (0.17.3) unstable; urgency=medium

  * Do not automatically consider current subst as verified. This way we
    can detect wrong substs in more cases (closes: #1072357).
  * Add a few more tests for pkgkde-symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 01 Jun 2024 20:03:08 +0300

pkg-kde-tools (0.17.2) unstable; urgency=medium

  * Add tests for pkgkde-symbolshelper handling of int64_t and time_t.
  * pkgkde-symbolshelper: When checking if a substitution applies, prefer
    i386 to other architectures. This way we can make the right choice
    between int64_t and time_t substitutions (closes: #1071279).
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 May 2024 20:28:20 +0300

pkg-kde-tools (0.17.1ubuntu4) oracular; urgency=medium

  * Replace _g calls with g_ in perllib/Debian/PkgKde/SymbolsHelper/Symbol.pm.
    (LP: #2077903)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 27 Aug 2024 15:38:38 -0500

pkg-kde-tools (0.17.1ubuntu3) oracular; urgency=medium

  * Add missing Kubuntu specific changes for upcoming KDE Frameworks 6:
     - perllib/Debian/Debhelper/Sequence/kf6.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 18 May 2024 08:44:22 +0100

pkg-kde-tools (0.17.1ubuntu2) oracular; urgency=medium

  * Restore part of architecture restrictions for lintian dependency:
    - !i386: at the moment lintian is not installable for i386 on oracular
      with -proposed.
    - !riscv64: builds for this architecture are a bit slow and running lintian
      increases compiling time.
  * Set Kubuntu vcs fields.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 05 May 2024 01:40:30 +0100

pkg-kde-tools (0.17.1ubuntu1) oracular; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 May 2024 12:58:28 -0500

pkg-kde-tools (0.17.1) unstable; urgency=medium

  * pkgkde-symbolshelper: Update ABI definition for time_t subst.
  * Build-depend on dpkg-dev ≥ 1.22.5, to guard against backports without
    this change reverted.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 20 Mar 2024 20:13:29 +0300

pkg-kde-tools (0.17.0) experimental; urgency=medium

  [ Patrick Franz ]
  * Add the KF6 sequencer helper.

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Feb 2024 17:38:57 +0100

pkg-kde-tools (0.16.0~qmldepends1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake and libdpkg-perl.
    + pkg-kde-tools: Drop versioned constraint on libdpkg-perl and python3 in
      Depends.
    + pkg-kde-tools: Drop versioned constraint on dpkg-dev in Recommends.
    + pkg-kde-tools: Drop versioned constraint on kdelibs5-dev in Breaks.

  [ Sandro Knauß ]
  * Add pkgkde-qmldepends to detect QML depdendecy and make them usable in
    builds. Currently it is the the first version to make it possible to start
    experiments with the script.
  * Update lintian overrides for pkg-kde-tools.

  [ Dmitry Shachnev ]
  * pkgkde-update-qt-copyright: Update for new Qt license strings
  * pkgkde-update-qt-copyright: Support more exotic copyright strings

 -- Sandro Knauß <hefee@debian.org>  Sat, 02 Sep 2023 00:42:12 +0200

pkg-kde-tools (0.15.38ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:37:56 +1100

pkg-kde-tools (0.15.38ubuntu3) noble; urgency=medium

  * pkgkde-symbolshelper: Update ABI definition for time_t subst.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 20 Mar 2024 20:22:23 +0300

pkg-kde-tools (0.15.38ubuntu2) noble; urgency=medium

  * Temporarily disable lintian on armhf to aid t64 bootstrap

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 29 Feb 2024 10:40:28 +0100

pkg-kde-tools (0.15.38ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Dec 2022 22:20:09 +0000

pkg-kde-tools (0.15.38) unstable; urgency=medium

  * Remove inactive Uploaders.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.6.1, no changes required.
  * 2/list-missing.mk, 3/list-missing.mk: switch from "egrep" to "grep -E",
    as the former has been deprecated for many years.
  * Add also the virtual provides dh-sequence-pkgkde-symbolshelper to
    pkg-kde-tools.
  * Drop debian/not-installed, as it should not be needed anymore after the
    switch to the dh sequencer.
  * Rename few files to make it clear to which package they refer to:
    - debian/README.Debian -> debian/pkg-kde-tools.README.Debian
    - debian/dirs -> debian/pkg-kde-tools.dirs
    - debian/links -> debian/pkg-kde-tools.links
  * Drop debian/NEWS, as the last (and only) entry is 12 years old.
  * Drop the Breaks against a version of dpkg-dev older than what is in
    Debian Jessie.
  * Drop the dh-sequence-kde virtual provides: that dh addon is used to build
    kdelibs 4.x stuff, and kdelibs 4.x is no more in Debian.

 -- Pino Toscano <pino@debian.org>  Sat, 10 Sep 2022 10:28:52 +0200

pkg-kde-tools (0.15.37) unstable; urgency=medium

  * Switch from dhmk to dh.

 -- Sandro Knauß <hefee@debian.org>  Sat, 16 Jul 2022 13:11:00 +0200

pkg-kde-tools (0.15.36ubuntu5) lunar; urgency=medium

  * Enable build time lintian again.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Nov 2022 10:58:47 +0000

pkg-kde-tools (0.15.36ubuntu4) lunar; urgency=medium

  * Temporily do not not do build time lintian checks while it is
    blocked by perl transition.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 07:53:41 +0000

pkg-kde-tools (0.15.36ubuntu3) kinetic; urgency=medium

  * control: Add dh-sequence-pkgkde-symbolshelper to pkg-kde-tools
    Provides.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Oct 2022 09:38:37 +0300

pkg-kde-tools (0.15.36ubuntu2) kinetic; urgency=medium

  * Skip lintian also on riscv64. Takes an excessive amount of build
    time and adds little useful info.

 -- Rik Mills <rikmills@kde.org>  Fri, 24 Jun 2022 08:30:45 +0100

pkg-kde-tools (0.15.36ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 May 2022 18:41:17 +0100

pkg-kde-tools (0.15.36) unstable; urgency=medium

  * Apply a fix from Sune Vuorela to solve parallel build issues.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 26 Apr 2022 13:20:07 -0300

pkg-kde-tools (0.15.35) unstable; urgency=medium

  [ Sandro Knauß ]
  * Add dh-sequence-* virtual packages to be able to use those virtual
    packages as dependency and not explicitly use with in d/rules.
  * Add Build-Depends-Package for libdlrestrictions1.
  * Add hardening=+all.
  * Add Rules-Requires-Root.

 -- Sandro Knauß <hefee@debian.org>  Mon, 07 Mar 2022 12:25:24 +0100

pkg-kde-tools (0.15.34) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Add copyright-script for Qt.

 -- Patrick Franz <deltaone@debian.org>  Sat, 18 Dec 2021 14:18:53 +0100

pkg-kde-tools (0.15.33) unstable; urgency=medium

  [ Norbert Preining ]
  * Fix typo in pkgkde-symbolshelper (Closes: #988759)

  [ Dmitry Shachnev ]
  * Add Qt 6 support to pkgkde-mark-qt5-private-symbols.
  * Remove old and unused pkgkde-mark-private-symbols tool.
  * Bump Standards-Version to 4.6.0, no changes needed.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for libdlrestrictions-dev.
  * Bump debhelper from old 12 to 13.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 01 Dec 2021 18:10:03 +0300

pkg-kde-tools (0.15.32ubuntu4) hirsute; urgency=medium

  * Do not depend on lintian on i386.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Jan 2021 16:47:50 +0000

pkg-kde-tools (0.15.32ubuntu3) groovy; urgency=medium

  * Re-enable lintian checks (LP: #1889551)

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Aug 2020 22:37:58 +0100

pkg-kde-tools (0.15.32ubuntu2) groovy; urgency=medium

  * Drop running lintian, it's making all package builds using the sequence
    hang in autopkgtest which is making the queue back up. Ref bug #1889551.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 30 Jul 2020 12:47:01 +0100

pkg-kde-tools (0.15.32ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files and l10n scripts.
    - debian/rules:
      + Add rules to sync l10n.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Mar 2020 10:29:58 +0000

pkg-kde-tools (0.15.32) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Minor markup fix in pkgkde-symbolshelper manpage.
  * Make dh_qmlcdeps generate dependencies with tilde, to support pre-release
    Qt versions.
  * Bump Standards-Version to 4.5.0, no changes needed.

  [ Scott Kitterman ]
  * Replace Dpkg::version with Dpkg::VERSION in pkgkde-symbolshelper to
    support use with dpkg >= 1.20.0 (Closes: #953960).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Mar 2020 21:57:14 +0300

pkg-kde-tools (0.15.31ubuntu3) focal; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Fix dh_kubuntu_list-missing in a way compatible with previous
    debhelper versions.

 -- Rik Mills <rikmills@kde.org>  Sat, 29 Feb 2020 14:48:05 +0000

pkg-kde-tools (0.15.31ubuntu2) focal; urgency=medium

  * dh_kubuntu_list-missing: Adapt to changed dh_missing --list-missing
    output from debhelper (12.8) onwards.

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Feb 2020 12:33:05 +0000

pkg-kde-tools (0.15.31ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files and l10n scripts.
    - debian/rules:
      + Add rules to sync l10n.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Oct 2019 17:33:33 +0100

pkg-kde-tools (0.15.31) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * pkgkde-vcs: Add buster to supported distributions.
  * 3/library-packages.mk: Specify Regex more precisly to not split
    package with - in their name.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Bump to compat 12 and use new style without d/compat.
  * Remove dh_install --list-missing (dh_missing --list-missing is default
    with compat v12).

  [ Dmitry Shachnev ]
  * Also add bullseye and bookworm to supported distributions.

 -- Sandro Knauß <hefee@debian.org>  Sun, 13 Oct 2019 09:44:05 +0200

pkg-kde-tools (0.15.30ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files and l10n scripts.
    - debian/rules:
      + Add rules to sync l10n.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Aug 2019 17:05:39 +0100

pkg-kde-tools (0.15.30) unstable; urgency=medium

  * Remove unconditional calls to dh_gconf (Closes: #931884). This is part of
  dhmk, which is currently only used within KDE4 apps and it's being retired by
  their maintainers.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Aug 2019 10:40:38 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog pkg-kde-tools`.
